package cn.com.ty.lift.business.common;

import cn.com.ty.lift.common.constants.ApiConstants;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * @author wcz
 * @date 2019/12/5
 * @description
 */
public class RestResult {

    public static final String MSG_ERR_PARAM = "缺少参数或参数有误";
    public static final String MSG_ERR_EXCEPTION = "操作发生异常";

    public static final String MSG_OK = "操作成功";

    public static final String MSG_FAIL = "操作失败";

    /**
     * 返回自定义错误信息
     * @param msg
     * @return
     */
    public static RestResponse err(String msg){
        return RestResponse.error(ApiConstants.RESULT_ERROR,msg);
    }

    /**
     * 返回参数有误
     * @return
     */
    public static RestResponse errParam(){
        return RestResponse.error(ApiConstants.RESULT_ERROR,MSG_ERR_PARAM);
    }

    /**
     * 返回操作发生异常
     * @return
     */
    public static RestResponse errException(){
        return RestResponse.error(ApiConstants.RESULT_ERROR,MSG_ERR_EXCEPTION);
    }

    /**
     * 返回默认程序异常
     * @return
     */
    public static RestResponse exception(){
        return RestResponse.error(ApiConstants.RESULT_EXCEPTION,MSG_ERR_EXCEPTION);
    }

    /**
     * 返回自定义信息的程序异常
     * @param msg
     * @return
     */
    public static RestResponse exception(String msg){
        return RestResponse.error(ApiConstants.RESULT_EXCEPTION,msg);
    }

    /**
     * 返回默认的操作失败
     * @return
     */
    public static RestResponse fail(){
        return RestResponse.ok(null,ApiConstants.RESULT_NO_DATA,MSG_FAIL);
    }

    /**
     * 返回带数据的操作成功
     * @param data
     * @return
     */
    public static RestResponse okData(Object data){
        return RestResponse.ok(data,ApiConstants.RESULT_SUCCESS,MSG_OK);
    }

    /**
     * 返回不带数据的操作成功
     * @return
     */
    public static RestResponse okNoData(){
        return RestResponse.ok(null,ApiConstants.RESULT_NO_DATA,MSG_OK);
    }
}
