package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.dto.AnnouncementRequest;
import cn.com.ty.lift.enterprise.oa.dto.AnnouncementResponse;
import cn.com.ty.lift.enterprise.oa.entity.Announcement;
import cn.com.ty.lift.enterprise.oa.entity.Attendance;
import cn.com.ty.lift.enterprise.oa.mapper.AnnouncementMapper;
import cn.com.ty.lift.enterprise.oa.mapper.AttendanceMapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.injector.methods.SelectById;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 公司公告 服务类
 * </p>
 *
 * @author wcz
 * @since 2019-12-12
 */
@Service("announcementService")
public class AnnouncementService extends ServiceImpl<AnnouncementMapper,Announcement>{

    @Autowired
    private AnnouncementMapper announcementMapper;

    public IPage<AnnouncementResponse> selectByCondition(AnnouncementRequest request) {
        long pageNum = request.getPageNum();
        long pageSize = request.getPageSize();
        IPage<AnnouncementResponse> page = new Page<>(pageNum, pageSize);
        return announcementMapper.selectByCondition(page,request);
    }

}